Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.index
Class AssertingAtomicReader.AssertingSortedSetDocValues

    java.lang.Object
      org.apache.lucene.index.SortedSetDocValues
          org.apache.lucene.index.AssertingAtomicReader.AssertingSortedSetDocValues

Enclosing class:
  AssertingAtomicReader

    public static class AssertingAtomicReader.AssertingSortedSetDocValues

extends SortedSetDocValues

Wraps a SortedSetDocValues but with additional asserts

Field Summary

Fields inherited from class org.apache.lucene.index.SortedSetDocValues
`EMPTY, NO_MORE_ORDS`

Constructor Summary
`AssertingAtomicReader.AssertingSortedSetDocValues(SortedSetDocValues in, int maxDoc)`

Method Summary
`long` | `getValueCount()`
`void` | `lookupOrd(long ord, BytesRef result)`
`long` | `lookupTerm(BytesRef key)`
`long` | `nextOrd()`
`void` | `setDocument(int docID)`

Methods inherited from class org.apache.lucene.index.SortedSetDocValues
`termsEnum`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AssertingAtomicReader.AssertingSortedSetDocValues

    public AssertingAtomicReader.AssertingSortedSetDocValues(SortedSetDocValues in,
                                                             int maxDoc)

Method Detail

### nextOrd

    public long nextOrd()

  Specified by:
    `nextOrd` in class `SortedSetDocValues`

### setDocument

    public void setDocument(int docID)

  Specified by:
    `setDocument` in class `SortedSetDocValues`

### lookupOrd

    public void lookupOrd(long ord,
                          BytesRef result)

  Specified by:
    `lookupOrd` in class `SortedSetDocValues`

### getValueCount

    public long getValueCount()

  Specified by:
    `getValueCount` in class `SortedSetDocValues`

### lookupTerm

    public long lookupTerm(BytesRef key)

  Overrides:
    `lookupTerm` in class `SortedSetDocValues`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.